%global srcname pyasynchat
%global modname asynchat

Name:           python-%{srcname}
Version:        1.0.2
Release:        %mkrel 1
Summary:        Make %{modname} available for Python 3.12 onwards
Group:          Development/Python
License:        Python-2.0.1
URL:            https://github.com/simonrob/%{srcname}
Source:         https://files.pythonhosted.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel

%description
This package contains the asynchat module as found in Python versions
prior to 3.12. It is provided so that existing code relying on import
asynchat is able to continue being used without significant
refactoring.

%package -n python3-%{srcname}
Summary:        Make %{modname} available for Python 3.12 onwards
Group:          Development/Python

%description -n python3-%{srcname}
This package contains the asynchat module as found in Python versions
prior to 3.12. It is provided so that existing code relying on import
asynchat is able to continue being used without significant
refactoring.


%prep
%autosetup -n %{srcname}-%{version} -p1
# these should not be executable
chmod ugo-x README.md LICENSE


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{modname}


%check
# there are no tests upstream
%pyproject_check_import


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md



%changelog
* Mon Jan 01 2024 daviddavid <daviddavid> 1.0.2-1.mga10
+ Revision: 2025336
- initial package python-pyasynchat

